API referenceReports
Get Balance Sheet (Interop Format)
GET /company/{id}/statements/balanceSheet/interop
GET
/company/{id}/statements/balanceSheet/interopPath Parameters
id*string
The company ID
Length
1 <= lengthQuery Parameters
startPeriod*string
Length
1 <= lengthendPeriod*string
Length
1 <= lengthbasis?string
Value in
- "cash"
- "accrual"
departments?|array<string>
One or more cls_ classification segment IDs returned by GET /company/{id}/classifications, or the case-insensitive literal "none". Values may be repeated or comma-separated.
Response Body
application/json
curl -X GET "https://example.com/company/string/statements/balanceSheet/interop?startPeriod=string&endPeriod=string"{ "Header": { "Time": "string", "ReportName": "string", "StartPeriod": "string", "EndPeriod": "string", "Currency": "string", "ReportBasis": "string" }, "Columns": [ { "ColTitle": "string", "ColType": "string" } ], "Rows": { "Row": [ { "type": "string", "group": "string", "Header": { "ColData": [ { "value": "string", "id": "string" } ] }, "Summary": { "ColData": [ { "value": "string", "id": "string" } ] }, "ColData": [ { "value": "string", "id": "string" } ], "Rows": { "Row": [ {} ] } } ] }}Schema refreshed 2026-11-11T18:57:48.657Z